HeapValue (JProfiler API)
Date: 2009-04-22

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.platform.structures
Interface HeapValue

    public interface HeapValue

Contains information about allocated instances of a class or package.

Whether a class or package is contained in this structure is results from the actual interface returned by the descriptor property. The descriptor type is determined by the aggregation level that you specify when requesting the profiling data.

See Also:
  `Aggregation`

Method Summary
`Descriptor` | `getDescriptor(Connection connection)` Returns the descriptor that describes the class or package for this heap value.
`long` | `getInstanceCount()` Returns the number of instances of the class or package represented by this heap value.
`long` | `getSize()` Returns the shallow size in bytes of the instances of the class or package represented by this heap value.

Method Detail

### getDescriptor

    Descriptor getDescriptor(Connection connection)

  Returns the descriptor that describes the class or package for this heap value.

  For a class, the descriptor is of type `ClassDescriptor`, for a package, you get a `PackageDescriptor`.

  Parameters:
    `connection` - the connection by which this heap value was created
  Returns:
    the descriptor

### getInstanceCount

    long getInstanceCount()

  Returns the number of instances of the class or package represented by this heap value.

  Returns:
    the number of instances.

### getSize

    long getSize()

  Returns the shallow size in bytes of the instances of the class or package represented by this heap value.

  Returns:
    the shallow size in bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD